如何使用Eclipse,Maven,JDK1.7构建WEB项目?报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

如何使用Eclipse,Maven,JDK1.7构建WEB项目?报错

爱吃鱼的程序员 2020-06-20 19:21:26 35

折腾半天了,使用maven 在 eclipse下创建web项目。(我的环境是ubuntu,tomcat7)

进行到:在已创建项目点击右键,选择properties,找到project facets选项,勾选Dynamic Web Module 2.5和Java 6.0,然后再右上角的Runtimes勾选apache tomcatv6.0。

这一步时,Dynamic Web Module 和 java 分别选择3.1和1.7,报错,不能转换(java compiler为1.7)。手动修改配置文件(项目目录/.settings/org.eclipse.wst.common.project.facet.core.xml)中的两项分别为3.1和1.7,回到eclipse,刷新项目,再查看project facets就没有问题了,但是此时的项目不能部署到 tomcat7上,(也不太清楚执行maven install具体是做什么)。

后来修改了配置:java compiler改为1.6,project facets 下的 Dynamic Web Module 改为2.5, java 1.6后就可以部署到tomcat7上运行了。

不知道是我哪里操作有不对的地方,请大家赐教了。

希望解决我的一些疑惑。包括maven install 是何用,如何使用jdk1.7编译构建项目,不执行可不可以。。。

Java Apache Maven Android开发
分享到
取消 提交回答
全部回答(1)
  • 爱吃鱼的程序员
    2020-06-20 19:21:44

    不懂,竟然用maven,为什么还这么依赖ide?在pom里配置一下不就ok?

    http://maven.apache.org/guides/getting-started/maven-in-five-minutes.html

    下面RunningMavenTools介绍了maveninstall是干啥的,把你的项目打包到本地仓库

    既然用eclipse,那就用eclipse的创建方法。可以直接创建mavenproject,packing设置为war。就是web项目了

    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程